#
# spec file for package python-humanize
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-humanize
%global modname humanize
Version:        0.5.1
Release:        4.1
Summary:        Python humanize utilities
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/jmoiron/%{modname}
Source:         https://pypi.io/packages/source/h/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%python_subpackages

%description
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%find_lang humanize
%fdupes %{buildroot}%{_prefix}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENCE README.rst
%{python_sitelib}/*
%{python_sitelib}/humanize/locale/*

%changelog
* Sat Jul  1 2017 okurz@suse.com
- Convert to singlespec
* Fri Dec 18 2015 mimi.vx@gmail.com
- update to 0.5.1
- use %%find_lang macro
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.5
  + No changelog available
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jul 23 2012 saschpe@suse.de
- Initial version
